> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Credit Memo as Used

> Mark a credit memo as used by linking to an existing transaction.

        The transaction's debit amount will be recategorized to A/R to clear the credit memo.
        The credit memo's status will be updated to "used" or "partially_used" based on
        the amount applied vs the total amount.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/v1/credit-memo/{credit_memo_id}/mark-used
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v1/credit-memo/{credit_memo_id}/mark-used:
    post:
      tags:
        - Accounts Receivable
      summary: Mark Credit Memo as Used
      description: |-
        Mark a credit memo as used by linking to an existing transaction.

                The transaction's debit amount will be recategorized to A/R to clear the credit memo.
                The credit memo's status will be updated to "used" or "partially_used" based on
                the amount applied vs the total amount.
      operationId: coa_api_v1_credit_memo_mark_used_create
      parameters:
        - in: path
          name: credit_memo_id
          schema:
            type: integer
          description: ID of the credit memo to mark as used
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarkCreditMemoUsed'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/MarkCreditMemoUsed'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/MarkCreditMemoUsed'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                description: Credit memo marked as used successfully
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    MarkCreditMemoUsed:
      type: object
      description: Serializer for marking a credit memo as used with a transaction.
      properties:
        transaction_id:
          type: integer
        account_id:
          type: integer
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        payment_date:
          type: string
          format: date
        memo:
          type: string
          nullable: true
      required:
        - account_id
        - amount
        - payment_date
        - transaction_id
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````